Bug 18283 - Display improvements on report results - hide code and change wording
Summary: Display improvements on report results - hide code and change wording
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-16 15:34 UTC by Nick Clemens
Modified: 2017-04-02 17:45 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18283 - Display improvements on report results - hide code and change wording (2.37 KB, patch)
2017-03-16 15:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18283 - Display improvements on report results - hide code and change wording (2.32 KB, patch)
2017-03-16 20:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18283 - Display improvements on report results - hide code and change wording (3.27 KB, patch)
2017-03-17 10:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18283 - Display improvements on report results - hide code and change wording (3.33 KB, patch)
2017-03-20 08:14 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18283 - Display improvements on report results - hide code and change wording (3.50 KB, patch)
2017-03-20 09:45 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18283 - Display improvements on report results - hide code and change wording (3.57 KB, patch)
2017-03-20 14:50 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 18283 - Display improvements on report results - hide code and change wording (3.63 KB, patch)
2017-03-21 10:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18283: 'sql' should be 'SQL' (1.43 KB, patch)
2017-03-21 10:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-03-16 15:34:04 UTC

    
Comment 1 Nick Clemens 2017-03-16 15:39:13 UTC Comment hidden (obsolete)
Comment 2 Christopher Brannon 2017-03-16 19:01:35 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2017-03-16 20:33:57 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2017-03-16 21:19:44 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2017-03-17 10:05:06 UTC Comment hidden (obsolete)
Comment 6 Christopher Brannon 2017-03-17 17:05:27 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2017-03-20 08:14:27 UTC
Created attachment 61249 [details] [review]
Bug 18283 - Display improvements on report results - hide code and change wording

This patch makes small display improvements to the report results page.

-Add toggle link for SQL code
-Change results count wording
-Add 'Notes:' label report notes

To test:
1 - Apply patch
2 - Run some reports
3 - Check that results page makes sense
4 - Hide and display code and ensure toggle works
Comment 8 Marc Véron 2017-03-20 09:45:23 UTC
Created attachment 61253 [details] [review]
Bug 18283 - Display improvements on report results - hide code and change wording

This patch makes small display improvements to the report results page.

-Add toggle link for SQL code
-Change results count wording
-Add 'Notes:' label report notes

To test:
1 - Apply patch
2 - Run some reports
3 - Check that results page makes sense
4 - Hide and display code and ensure toggle works

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 9 Christopher Brannon 2017-03-20 14:50:10 UTC
Created attachment 61318 [details] [review]
[SIGNED OFF] Bug 18283 - Display improvements on report results - hide code and change wording

This patch makes small display improvements to the report results page.

-Add toggle link for SQL code
-Change results count wording
-Add 'Notes:' label report notes

To test:
1 - Apply patch
2 - Run some reports
3 - Check that results page makes sense
4 - Hide and display code and ensure toggle works

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 10 Jonathan Druart 2017-03-20 19:45:06 UTC
Why is this supposed to be an improvement? What are the use cases?
Comment 11 Christopher Brannon 2017-03-20 21:44:59 UTC
(In reply to Jonathan Druart from comment #10)
> Why is this supposed to be an improvement? What are the use cases?

I can tell you that at our library, we have jquery setup that does something similar.  It bugged me the moment we started using Koha that the SQL was showing.  Your average staff person doesn't care about it, and depending on the size of your sql, you might have to scroll down a bit to see results.  It's ugly.  It makes sense to hide it, but be able to reveal it when needed.
Comment 12 Jonathan Druart 2017-03-21 10:31:06 UTC
Created attachment 61359 [details] [review]
Bug 18283 - Display improvements on report results - hide code and change wording

This patch makes small display improvements to the report results page.

-Add toggle link for SQL code
-Change results count wording
-Add 'Notes:' label report notes

To test:
1 - Apply patch
2 - Run some reports
3 - Check that results page makes sense
4 - Hide and display code and ensure toggle works

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Jonathan Druart 2017-03-21 10:31:10 UTC
Created attachment 61360 [details] [review]
Bug 18283: 'sql' should be 'SQL'

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Kyle M Hall 2017-03-31 14:51:15 UTC
Pushed to master for 17.05, thanks Nick, Jonathan!
Comment 15 Katrin Fischer 2017-04-02 17:45:37 UTC
This won't get ported back to 16.11.x as it is an enhancement.